# Poco::Net

# class PrivateKeyFactoryRegistrar

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/PrivateKeyFactory.h

## Description

Registrar class which automatically registers PrivateKeyFactories at the PrivateKeyFactoryMgr.

You don't need to access this class directly. Use the macro

    POCO_REGISTER_KEYFACTORY(namespace, PrivateKeyPassphraseHandlerName)

instead (see the documentation of PrivateKeyPassphraseHandler for an example).

## Constructors

### PrivateKeyFactoryRegistrar

PrivateKeyFactoryRegistrar(
const std::string & name,
PrivateKeyFactory * pFactory
);

Registers the PrivateKeyFactory with the given name at the factory manager.

## Destructor

### ~PrivateKeyFactoryRegistrar

virtual ~PrivateKeyFactoryRegistrar();

Destroys the PrivateKeyFactoryRegistrar.